Foreman - Refactor #22489

UlINotifications::Base lives in wrong file
02/02/2018 06:59 AM - Marek Hulan

Status: Closed
Priority: Normal
Assignee: Marek Hulén
Category: Notifications
Target version: 1.17.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/5233,
https://github.com/theforeman/foreman/p
ull/5271
Description

app/services/ui_notifications.rb should only define the namespace module, base class should be defined under ui_notifications
directory

Related issues:
Related to Foreman Remote Execution - Bug #22649: foreman-remote-execution pl... Closed 02/21/2018

Associated revisions

Revision 0d332ecd - 02/02/2018 09:56 AM - Marek Hulan

Fixes #22489 - move the notification base class

History

#1 - 02/02/2018 07:02 AM - Marek Hulan

- Tracker changed from Bug to Refactor

#2 - 02/02/2018 07:07 AM - Marek Hulan

This leads to a problem when plugin want to define its own notification builder like this

module UINotifications
module RemoteExecutionJobs
class BaseJobFinish < ::UINotifications: :Base

That ends up with following error

/home/ares/Projekty/Zdrojaky/foreman_remote_execution/app/services/ui_notifications/remote_execution_jobs/base
_Jjob_finish.rb:3:in "~<module:RemoteExecutionJobs>"': uninitialized constant UINotifications::Base (NameError)

from /home/ares/Projekty/Zdrojaky/foreman_remote_execution/app/services/ui_notifications/remote_execut
ion_jobs/base_job_finish.rb:2:in "<module:UINotifications>'

from /home/ares/Projekty/Zdrojaky/foreman_remote_execution/app/services/ui_notifications/remote_execut
ion_jobs/base_job_finish.rb:1:in “<top (required)>'

from /home/ares/.rbenv/versions/2.4.0/1ib/ruby/gems/2.4.0/gems/activesupport-5.1.4/1lib/active_support/
dependencies/interlock.rb:12:in “block in loading'

from /home/ares/.rbenv/versions/2.4.0/1ib/ruby/gems/2.4.0/gems/activesupport-5.1.4/1ib/active_support/
concurrency/share_lock.rb:149:in “exclusive'

#3 - 02/02/2018 07:07 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/5233 added

#4 - 02/02/2018 09:57 AM - Ivan Necas

- translation missing: en.field_release set to 330
#5 - 02/02/2018 09:57 AM - lvan Necas
- Status changed from Ready For Testing to Closed

#6 - 02/23/2018 06:36 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/5271 added

#7 - 02/26/2018 11:49 AM - Ondfej Prazak

- translation missing: en.field_release changed from 330 to 296

#8 - 02/26/2018 11:50 AM - Ondfej Prazak
- Related to Bug #22649: foreman-remote-execution plugin breaks 1.17 install added

#9 - 02/26/2018 11:50 AM - Ondfej Prazak

Setting to 1.17 since it is meant to fix the related issue.
